Bug 25413 - ClassCastException thrown from ..$SVGHandler.renderSVGDocument
ClassCastException thrown from ..$SVGHandler.renderSVGDocument
Status: CLOSED FIXED
Product: Fop - Now in Jira
Classification: Unclassified
Component: pdf
trunk
All All
: P3 normal
: ---
Assigned To: fop-dev
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2003-12-10 17:14 UTC by John Wm Austin
Modified: 2012-04-01 06:28 UTC (History)
0 users



Attachments
Log of program messages including exception stack trace. (7.60 KB, text/plain)
2003-12-10 17:25 UTC, John Wm Austin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Wm Austin 2003-12-10 17:14:54 UTC
The following exception and stack trace are produced by the command:

java -Xms100m -Xmx200m -cp
.:build/fop.jar:lib/avalon-framework-4.1.4.jar:lib/batik.jar:lib/commons-io-dev-20030703.jar
org.apache.fop.apps.Fop -fo test/resources/fop/svg/images.fo -pdf /tmp/12654.pdf

which executes command-line FOP on file: test/resources/fop/svg/images.fo

Messages include: 

[ERROR] svg graphic could not be built: null
java.lang.ClassCastException
        at org.apache.batik.bridge.BridgeContext.initializeDocument(Unknown Source)
        at org.apache.batik.bridge.GVTBuilder.build(Unknown Source)
        at
org.apache.fop.render.pdf.PDFXMLHandler$SVGHandler.renderSVGDocument(PDFXMLHandler.java:271)
        at org.apache.fop.render.pdf.PDFXMLHandler.handleXML(PDFXMLHandler.java:177)

<snip/>
Comment 1 John Wm Austin 2003-12-10 17:25:57 UTC
Created attachment 9500 [details]
Log of program messages including exception stack trace.
Comment 2 Pascal Sancho 2007-11-20 01:14:00 UTC
Fixed in FOP 0.94 and probably earlier versions
Comment 3 Glenn Adams 2012-04-01 06:28:07 UTC
batch transition pre-FOP1.0 resolved+fixed bugs to closed+fixed